Mono.Simd 2.0.0.0 System.Object Extension methods to Vector types. The extension methods below make it easier to use Vector types.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE3)
  Mono.Simd.Vector2d `` `` First vector. Second vector. Computes (v1.X - v2.X, v1.Y + v2.Y). The resulting vector. Computes (v1.X - v2.X, v1.Y + v2.Y).
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE3)
  Mono.Simd.Vector4f `` `` First vector. First vector. Computes (v1.X - v2.X, v1.Y + v2.Y, v1.Z - v2.Z, v1.W + v2.W). The resulting vector. Computes (v1.X - v2.X, v1.Y + v2.Y, v1.Z - v2.Z, v1.W + v2.W).
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector16b `` `` The first vector. The second vector. Adds two vectors with saturation. The unsigned saturated addition of two vectors.

  The resulting vector contains the unsigned saturated sum of the individual components of the vector.

  If the sum of two of the components would overflow, then the result of the saturated sum is Byte.MaxValue.

- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector16sb `` `` The first vector. The second vector. Adds two vectors with saturation. The signed saturated addition of two vectors.

  The resulting vector contains the signed saturated sum of the individual components of the vector.

  If the sum of two of the components would overflow, then the result of the saturated sum is SByte.MaxValue.

- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector8s `` `` The first vector. The second vector. Adds two vectors with saturation. The signed saturated addition of two vectors.

  The resulting vector contains the signed saturated sum of the individual components of the vector.

  If the sum of two of the components would overflow, then the result of the saturated sum is Short.MaxValue.

- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector8us `` `` The first vector. The second vector. Adds two vectors with saturation. The unsigned saturated addition of two vectors.

  The resulting vector contains the unsigned saturated sum of the individual components of the vector.

  If the sum of two of the components would overflow, then the result of the saturated sum is UShort.MaxValue.

- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector2d `` `` First vector. Second vector. Compares the elements of two vectors for equality. A new vector with the comparison results. Equal components get all their bits set to 1; Unequal components gets the value set to zero. You can cast the result into a Vector2ul and compare the integer properties to UInt64.MaxValue.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector4f `` `` First vector. Second vector. Compares the elements of two vectors for equality. A new vector with the comparison results. Equal components get all their bits set to 1; Unequal components gets the value set to zero. You can cast the result into a Vector4ui and compare the integer properties to UInt64.MaxValue.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector4ui `` `` First vector. Shift amount. Do an arithmetic right shift on each vector element. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector8us `` `` First Vector. Shift amount. Do an arithmetic right shift on each vector element. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector16b `` `` First Vector. Second Vector. Average each vector element using (a + b + 1) / 2. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector8us `` `` First Vector. Second Vector. Average each vector element using (a + b + 1) / 2. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector16b `` `` First Vector. Second Vector. To be added. To be added. Equal components get all their bits set to 1; Unequal components gets the value set to zero. You can compare the integer properties to Byte.MaxValue.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector16sb `` `` First Vector. Second Vector. To be added. To be added. Equal components get all their bits set to 1; Unequal components gets the value set to zero. You can compare the integer properties to -1.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector2d `` `` First vector. Second vector. To be added. To be added. Equal components get all their bits set to 1; Unequal components gets the value set to zero. You can cast the result into a Vector2ul and compare the integer properties to UInt64.MaxValue.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE41)
  Mono.Simd.Vector2l `` `` First vector. Second vector. To be added. To be added. Equal components get all their bits set to 1; Unequal components gets the value set to zero. You can compare the integer properties to -1l.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE41)
  Mono.Simd.Vector2ul `` `` First vector. Second vector. To be added. To be added. Equal components get all their bits set to 1; Unequal components gets the value set to zero. You can compare the integer properties to UInt64.MaxValue.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector4f `` `` First vector. Second vector. To be added. To be added. Equal components get all their bits set to 1; Unequal components gets the value set to zero. You can cast the result into a Vector4ui and compare the integer properties to UInt32.MaxValue.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector4i `` `` First vector. Second vector. To be added. To be added. Equal components get all their bits set to 1; Unequal components gets the value set to zero. You can compare the integer properties to -1.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector4ui `` `` First vector. Second vector. To be added. To be added. Equal components get all their bits set to 1; Unequal components gets the value set to zero. You can compare the integer properties to UInt32.MaxValue.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector8s `` `` First Vector. Second Vector. To be added. To be added. Equal components get all their bits set to 1; Unequal components gets the value set to zero. You can compare the integer properties to -1.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector8us `` `` First Vector. Second Vector. To be added. To be added. Equal components get all their bits set to 1; Unequal components gets the value set to zero. You can compare the integer properties to UInt16.MaxValue.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector16sb `` `` First Vector. Second Vector. To be added. To be added. If the comparison is true set all element bits to 1 and zero otherwise.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE42)
  Mono.Simd.Vector2l `` `` First vector. Second vector. To be added. To be added. If the comparison is true set all element bits to 1 and zero otherwise.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector4i `` `` First vector. Second vector. To be added. To be added. If the comparison is true set all element bits to 1 and zero otherwise.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector8s `` `` First Vector. Second Vector. To be added. To be added. If the comparison is true set all element bits to 1 and zero otherwise.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector2d `` `` First vector. Second vector. To be added. To be added. If the comparison is true set all element bits to 1 and zero otherwise.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector4f `` `` First vector. Second vector. To be added. To be added. If the comparison is true set all element bits to 1 and zero otherwise.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector2d `` `` First vector. Second vector. To be added. To be added. If the comparison is true set all element bits to 1 and zero otherwise.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector4f `` `` First vector. Second vector. To be added. To be added. If the comparison is true set all element bits to 1 and zero otherwise.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector2d `` `` First vector. Second vector. To be added. To be added. If the comparison is true set all element bits to 1 and zero otherwise.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector4f `` `` First vector. Second vector. To be added. To be added. If the comparison is true set all element bits to 1 and zero otherwise.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector2d `` `` First vector. Second vector. To be added. To be added. If the comparison is true set all element bits to 1 and zero otherwise.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector4f `` `` First vector. Second vector. To be added. To be added. If the comparison is true set all element bits to 1 and zero otherwise.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector2d `` `` First vector. Second vector. To be added. To be added. If the comparison is true set all element bits to 1 and zero otherwise.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector4f `` `` First vector. Second vector. To be added. To be added. If the comparison is true set all element bits to 1 and zero otherwise.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector2d `` `` First vector. Second vector. To be added. To be added. If the comparison is true set all element bits to 1 and zero otherwise.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector4f `` `` First vector. Second vector. To be added. To be added. If the comparison is true set all element bits to 1 and zero otherwise.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector2d `` `` First vector. Second vector. To be added. To be added. If the comparison is true set all element bits to 1 and zero otherwise.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector4f `` `` First vector. Second vector. To be added. To be added. If the comparison is true set all element bits to 1 and zero otherwise.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE3)
  Mono.Simd.Vector2d `` First vector. Returns a vector with values (v1.X, v1.X). To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE3)
  Mono.Simd.Vector4f `` First vector. Returns a vector with values (v1.Y, v1.Y, v1.W, v1.W). To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE3)
  Mono.Simd.Vector4f `` First vector. Returns a vector with values (v1.X, v1.X, v1.Z, v1.Z). To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  System.Int32 `` First Vector. Calculates an integer mask where each bit is set if the high bit of the corresponding element is. To be added. Sets bit 0 of the result if va.X & 0x80 is true, bit 1 if va.Y & 0x80 is true and so on.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  System.Int32 `` First Vector. Calculates an integer mask where each bit is set if the high bit of the corresponding element is. To be added. Sets bit 0 of the result if va.X & 0x80 is true, bit 1 if va.Y & 0x80 is true and so on.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE3)
  Mono.Simd.Vector2d `` `` First vector. Second vector. Returns (v1.x + v1.y, v2.x + v2.y). To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE3)
  Mono.Simd.Vector4f `` `` First vector. Second vector. Returns (v1.x + v1.y, v1.z + v1.w, v2.x + v2.y, v2.z + v2.w). To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE3)
  Mono.Simd.Vector2d `` `` First vector. Second vector. Returns (v1.x - v1.y, v2.x - v2.y). To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE3)
  Mono.Simd.Vector4f `` `` First vector. Second vector. Return (v1.x - v1.y, v1.z - v1.w, v2.x - v2.y, v2.z - v2.w). To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector2d `` `` First vector. Second vector. Returns (v1.y, v2.y). To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector4f `` `` First vector. Second vector. Return (v1.z, v2.z, v1.w, v2.w). To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector2d `` `` First vector. Second vector. Return (v1.x, v2.x). To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector4f `` `` First vector. Second vector. Return (v1.x, v2.x, v1.y, v2.y). To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector4f `` First vector. Return 1/sqrt for each element. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector2l `` `` First vector. Shift amount. Do a logical right shift on each vector element. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector4i `` `` First vector. Shift amount. Do an arithmetic right shift on each vector element. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector8s `` `` First Vector. Shift amount. Do an arithmetic right shift on each vector element. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector16b `` `` First Vector. Second Vector. Return max(a,b) for each element. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE41)
  Mono.Simd.Vector16sb `` `` First Vector. Second Vector. Return max(a,b) for each element. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector2d `` `` First vector. Second vector. Return max(a,b) for each element. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector4f `` `` First vector. Second vector. Return max(a,b) for each element. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE41)
  Mono.Simd.Vector4i `` `` First vector. Second vector. Return max(a,b) for each element. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE41)
  Mono.Simd.Vector4ui `` `` First vector. Second vector. Return max(a,b) for each element. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector8s `` `` First Vector. Second Vector. Return max(a,b) for each element. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE41)
  Mono.Simd.Vector8us `` `` First Vector. Second Vector. Return max(a,b) for each element. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector16b `` `` First Vector. Second Vector. Return min(a,b) for each element. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE41)
  Mono.Simd.Vector16sb `` `` First Vector. Second Vector. Return min(a,b) for each element. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector2d `` `` First vector. Second vector. Return min(a,b) for each element. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector4f `` `` First vector. Second vector. Return min(a,b) for each element. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE41)
  Mono.Simd.Vector4i `` `` First vector. Second vector. Return min(a,b) for each element. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE41)
  Mono.Simd.Vector4ui `` `` First vector. Second vector. Return min(a,b) for each element. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector8s `` `` First Vector. Second Vector. Return min(a,b) for each element. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE41)
  Mono.Simd.Vector8us `` `` First Vector. Second Vector. Return min(a,b) for each element. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector8s `` `` First Vector. Second Vector. Do (a * b) >> 16 for each element. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector8us `` `` First Vector. Second Vector. Do (a * b) >> 16 for each element. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector8s `` `` First Vector. Second Vector. Pack the first the elements from va then vb performing signed saturation. To be added. Values below Short.MinValue are changed to Short.MinValue and values above Short.MaxValue are changed to Short.MaxValue.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  System.CLSCompliant(false)
  Mono.Simd.Vector16sb `` `` First Vector. Second Vector. Pack the first the elements from va then vb performing signed saturation. To be added. Values below SByte.MinValue are changed to SByte.MinValue and values above SByte.MaxValue are changed to SByte.MaxValue.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE41)
  System.CLSCompliant(false)
  Mono.Simd.Vector8us `` `` First Vector. Second Vector. Pack the first the elements from va then vb performing unsigned saturation. To be added. Values above UShort.MaxValue are changed to UShort.MaxValue.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector16b `` `` First Vector. Second Vector. Pack the first the elements from va then vb performing unsigned saturation. To be added. Values above Byte.MaxValue are changed to Byte.MaxValue.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector4f `` First vector. Return 1/v1 for each element. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector4f `` `` First vector. To be added. Return a vector based on the ShuffleSel mask. To be added. Each of the four elements are chosen from the source vector based on the value of ShuffleSel. The selector must be a compile time constant or the runtime won't accelerate it
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector4i `` `` First vector. To be added. Return a vector based on the ShuffleSel mask. To be added. Each of the four elements are chosen from the source vector based on the value of ShuffleSel. The selector must be a compile time constant or the runtime won't accelerate it
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector4ui `` `` First vector. To be added. Return a vector based on the ShuffleSel mask. To be added. Each of the four elements are chosen from the source vector based on the value of ShuffleSel. The selector must be a compile time constant or the runtime won't accelerate it
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector8s `` `` First Vector. To be added. Return a vector with the upper 4 elements selected based on the ShuffleSel mask. To be added. Each of the four upper elements are chosen from the source vector based on the value of ShuffleSel. The selector must be a compile time constant or the runtime won't accelerate it
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector8us `` `` First Vector. To be added. Return a vector with the upper 4 elements selected based on the ShuffleSel mask. To be added. Each of the four upper elements are chosen from the source vector based on the value of ShuffleSel. The selector must be a compile time constant or the runtime won't accelerate it
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector8s `` `` First Vector. To be added. Return a vector with the lower 4 elements selected based on the ShuffleSel mask. To be added. Each of the four lower elements are chosen from the source vector based on the value of ShuffleSel. The selector must be a compile time constant or the runtime won't accelerate it
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector8us `` `` First Vector. To be added. Return a vector with the lower 4 elements selected based on the ShuffleSel mask. To be added. Each of the four lower elements are chosen from the source vector based on the value of ShuffleSel. The selector must be a compile time constant or the runtime won't accelerate it
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector8s `` `` First Vector. Second Vector. Pack the first the elements from va then vb performing signed saturation. To be added. Values below Short.MinValue are changed to Short.MinValue and values above Short.MaxValue are changed to Short.MaxValue.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector16sb `` `` First Vector. Second Vector. Pack the first the elements from va then vb performing signed saturation. To be added. Values below SByte.MinValue are changed to SByte.MinValue and values above SByte.MaxValue are changed to SByte.MaxValue.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE41)
  Mono.Simd.Vector8us `` `` First Vector. Second Vector. Pack the first the elements from va then vb performing signed saturation. To be added. Values below zero are changed to zero and values above UShort.MaxValue are changed to UShort.MaxValue.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector16b `` `` First Vector. Second Vector. Pack the first the elements from va then vb performing signed saturation. To be added. Values below zero are changed to zero and values above Byte.MaxValue are changed to Byte.MaxValue.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector2d `` First vector. Return sqrt (v1) for each element. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector4f `` First vector. Return sqrt (v1) for each element. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector16b `` `` First Vector. Second Vector. Subtract two vectors with saturation. The unsigned saturated subtraction of two vectors.

  The resulting vector contains the unsigned saturated subtraction of the individual components of the vector.

  If the subtraction of two of the components would be negative, then the result is zero.

- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector16sb `` `` First Vector. Second Vector. Subtract two vectors with saturation. The unsigned saturated subtraction of two vectors.

  The resulting vector contains the unsigned saturated subtraction of the individual components of the vector.

  If the subtraction of two of the components would undeflow, then the result is SByte.MinValue.

- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector8s `` `` First Vector. Second Vector. Subtract two vectors with saturation. The unsigned saturated subtraction of two vectors.

  The resulting vector contains the unsigned saturated subtraction of the individual components of the vector.

  If the subtraction of two of the components would undeflow, then the result is Short.MinValue.

- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector8us `` `` First Vector. Second Vector. Subtract two vectors with saturation. The unsigned saturated subtraction of two vectors.

  The resulting vector contains the unsigned saturated subtraction of the individual components of the vector.

  If the subtraction of two of the components would be negative, then the result is zero.

- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  System.CLSCompliant(false)
  Mono.Simd.Vector8us `` `` First Vector. Second Vector. Return the sum of the absolute difference between each vector. Done 8 at a time, with results on V0 and V4 of the result. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector16b `` `` First Vector. Second Vector. Return the interleaving of V8 - V15 from each vector. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector16sb `` `` First Vector. Second Vector. Return the interleaving of V8 - V15 from each vector. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector2l `` `` First vector. Second vector. Return (v1.y, v2.y). To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector2ul `` `` First vector. Second vector. Return (v1.y, v2.y). To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector4i `` `` First vector. Second vector. Return (v1.z, v2.z, v1.w, v2.w). To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector4ui `` `` First vector. Second vector. Return (v1.z, v2.z, v1.w, v2.w). To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector8s `` `` First Vector. Second Vector. Return the interleaving of V4 - V7 from each vector. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector8us `` `` First Vector. Second Vector. Return the interleaving of V4 - V7 from each vector. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector16b `` `` First Vector. Second Vector. Return the interleaving of V1 - V7 from each vector. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector16sb `` `` First Vector. Second Vector. Return the interleaving of V1 - V7 from each vector. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector2l `` `` First vector. Second vector. Return (v1.x, v2.x). To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector2ul `` `` First vector. Second vector. Return (v1.x, v2.x). To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector4i `` `` First vector. Second vector. Return (v1.x, v2.x, v1.y, v2.y). To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector4ui `` `` First vector. Second vector. Return (v1.x, v2.x, v1.y, v2.y). To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector8s `` `` First Vector. Second Vector. Return the interleaving of V1 - V4 from each vector. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector8us `` `` First Vector. Second Vector. Return the interleaving of V1 - V4 from each vector. To be added. To be added.